#ifndef CDATA_READER_HH
#define CDATA_READER_HH

#include "global.hh"

class Cdata_reader
{
public:
  Cdata_reader()
  {
    m_number_of_word = 0;
    m_data = new data_t[1];/* 安全にdeleteするため */
  }
  ~Cdata_reader(){
    delete [] m_data;
  }

public:  
  int read_in_one_line(Cfile* file);
  int get_number_of_word();
  int get_data(data_t& data, int i);
private:
  int check_comment();
  data_t** scan_data_from_str(char* str, int &data_num);
  int read_one_data(char* str, int &start, data_t* data1, data_t* data2);
  int convert_str_to_data(char* data_buf, int float_flag,
			  data_t* data1, data_t* data2 );
  int check_num(char c);

  char m_buf[BLOCK_SIZE];
  data_t* m_data;
  int m_number_of_word;
};

#endif
